# Class: Segment

## segment.Segment(options)

A segment. Describes an item of the Segment Sequence of a DICOM Segmentation instance.

## Constructor

#### new Segment(options)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Options for construction of Segment ###### Properties
Name | Type | Description
--- | --- | ---
`uid` | string | Unique tracking identifier
`number` | number | Segment Number (one-based index value)
`label` | string | Segment Label
`algorithmName` | string | Segment Algorithm Name
`algorithmType` | Object | Segment Algorithm Type
`propertyCategory` | Object | Segmented Property Category Code
`propertyType` | Object | Segmented Property Type Code
`studyInstanceUID` | string | Study Instance UID of DICOM Segmentation instances
`seriesInstanceUID` | string | Series Instance UID of DICOM Segmentation instances
`sopInstanceUIDs` | Array.<string> | SOP Instance UIDs of DICOM Segmentation instances
`paletteColorLookupTableUID` | string | undefined | Palette Color Lookup Table UID

Source:
  - segment.js, line 11

### Members

#### algorithmName :string

Segment Algorithm Name

##### Type:

- string

Source:
  - segment.js, line 132

#### algorithmType :object

Segment Algorithm Type

##### Type:

- object

Source:
  - segment.js, line 141

#### label :string

Segment Label

##### Type:

- string

Source:
  - segment.js, line 123

#### number :number

Segment Number.

##### Type:

- number

Source:
  - segment.js, line 114

#### paletteColorLookupTableUID :string

Palette Color Lookup Table UID.

##### Type:

- string

Source:
  - segment.js, line 195

#### propertyCategory :object

Segmented Property Category Code

##### Type:

- object

Source:
  - segment.js, line 150

#### propertyType :object

Segmented Property Type Code

##### Type:

- object

Source:
  - segment.js, line 159

#### seriesInstanceUID :string

Series Instance UID of DICOM Segmentation instances.

##### Type:

- string

Source:
  - segment.js, line 177

#### sopInstanceUIDs :Array.<string>

SOP Instance UIDs of DICOM Segmentation instances.

##### Type:

- Array.<string>

Source:
  - segment.js, line 186

#### studyInstanceUID :string

Study Instance UID of DICOM Segmentation instances.

##### Type:

- string

Source:
  - segment.js, line 168

#### uid :string

Unique Tracking Identifier

##### Type:

- string

Source:
  - segment.js, line 105